CVE ID:

CVE-2019-5719

Details:

In Wireshark 2.6.0 to 2.6.5 and 2.4.0 to 2.4.11, the ISAKMP dissector could crash. This was addressed in epan/dissectors/packet-isakmp.c by properly handling the case of a missing decryption data block.

References:

MLIST:[debian-lts-announce] 20190128 [SECURITY] [DLA 1645-1] wireshark security update
:https://lists.debian.org/debian-lts-announce/2019/01/msg00022.html
:https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15374
:https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=b5b02f2a9b8772d8814096f86c60a32889d61f2c
:https://www.wireshark.org/security/wnpa-sec-2019-04.html

ZeroDayLab Assigned Tags:

CRASH